Company Document Types
Update Company Document Type
Change the document type identifier or the process it is accepted under.
PUT
Change the document type identifier or the process it is accepted under. The old combination is withdrawn from the SMP and the new one published, so senders stop being able to address the old one.
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Path Parameters
companyId*string
The ID of the company to update a document type for
documentTypeId*string
The ID of the document type to update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/companies/string/document-types/string" \ -H "Content-Type: application/json" \ -d '{ "docTypeId": "string", "processId": "string" }'{ "success": true, "documentType": { "id": "cdt_01JQZ8X0M4T7RB6K9V2NDHW3PA", "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA", "docTypeId": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1", "processId": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}